gnutls_session_ext_master_secret_status(3)

NAME
gnutls_session_ext_master_secret_status - API function

SYNOPSIS
#include <gnutls/gnutls.h>

unsigned gnutls_session_ext_master_secret_status(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
Get the status of the extended master secret extension negotiation. This is in accordance to draft-ietf-tls-session-hash-01

RETURNS
Non-zero if the negotiation was successful or zero otherwise.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/